### Struct

# GVnc AudioFormat

#### Description

    struct VncAudioFormat {
      guint8 format;
      guint8 nchannels;
      guint32 frequency;
    }

No description available.

###### Structure members

`format`

  No description available.

`nchannels`

  No description available.

`frequency`

  No description available.

#### Constructors

###### vnc_audio_format_new

Allocate a new VNC audio format struct whose contents is initialized to all zeros. The struct must be released using vnc_audio_format_free when no longer required.

#### Instance methods

###### vnc_audio_format_copy

Allocate a new VNC audio format struct whose contents is initialized with the data found in `format`. The struct must be released using vnc_audio_format_free when no longer required.

###### vnc_audio_format_free

Release the memory associated with `format`.